function [efaces, xbar, svalues] = eigenfaces(X, dim)
% Compute the number of images (n) and the dimension of the images (d)
[n, d] = size(X);
% Compute the average image
xbar = mean(X);
% Compute the svd of the rectentered points
[U, svalues, efaces] = svds(X - repmat(xbar,n,1), dim);
% efaces = efaces * diag(sqrt(diag(svalues)));
efaces = efaces';
% Compute the singular values of 
svalues = diag(svalues);
end % End of eigenfaces function



