function bn = train_gnb(X, y)
% Get size information
[n, d] = size(X);

% For each class train separate gaussians
bn.mu = zeros(2, d);
bn.sigmaSq = zeros(2, d);
for class = [1,2]
    ind = y == (class - 1);
    bn.mu(class, :) = mean(X(ind, :));
    bn.sigmaSq(class, :) = var(X(ind, :));
end

% Class prior
bn.classP = [mean(y==0), mean(y==1)];

end